*, *::before, *::after {
    box-sizing: border-box;
}

:root {
    font-family: "Montserrat", sans-serif;
    line-height: 1.6em;
    background-color: oklch(99.613% 0.00343 324.061);
    scroll-behavior: smooth;
}

body {
    margin: 0;
}

header {
    background-color: oklch(14.451% 0.06135 263.637);
    color: oklch(99.613% 0.00343 324.061);
}

main {
    padding-top: 2vh;
    padding-bottom: 1vh;
}

footer {
    background-color: oklab(32.109% 0 -0.00004);
}

.container {
    max-width: 80rem;
    margin: 0 auto;
    padding: 0 1rem 0 1rem;
}

.highlight {
    font-style: italic;
    font-weight: 700;
}

footer .highlight {
    font-style: normal;
    font-weight: normal;
    color: oklch(100% 0.00011 271.152);
}

.--narrow {
    margin: inherit;
    padding: inherit;
    max-width: 40rem;
}

.m-1 {
    margin: 1rem;
}

.m-2 {
    margin: 2rem;
}

.p-1 {
    padding: 1rem;
}

.p-2 {
    padding: 2rem;
}

nav ul {
    /* display: inline-block; */
    padding: inherit;
    margin: 0 0 0 -2rem;
    list-style: none;
}

nav a {
    display: block;
    padding: 1rem 2rem;
    color: inherit;
    text-decoration: none;
}

nav a:hover {
    color: oklch(0.1454 0.062 264);
    background-color: oklch(80.152% 0.00009 271.152);
    /* 
    een beetje kleurentheorie gevonden op https://developer.mozilla.org/en-US/docs/Web/CSS/mix-blend-mode 
    al gebruikt in het verleden
    */
    mix-blend-mode: hard-light;
}

nav a:focus-visible {
    outline: 4px;
    outline-style: dotted;
    outline-offset: -4px;
    outline-color: oklch(90.541% 0.15458 194.807);
}

nav ul li:nth-child(2) {
    background-color: oklch(48.06% 0.15965 25.546);
}

footer p:last-child {
    margin: 0;
}

h2 + p {
    font-style: italic;
}

a[href*="mozilla"] {
    background-color: oklch(79.444% 0.17083 71.184 / 0.538);
}

/* Self hosted fonts getest en werkt */
/* @font-face {
    font-family: Montserrat;
    src: url(../fonts/Montserrat-VariableFont_wght.woff2);
} */